#version 430 core

in vec2 textureCoords;
out vec4 out_Colour;

layout(binding=0) uniform sampler2D sceneTexture;
layout(binding=1) uniform sampler2D lightTexture;

void main (void){
vec4 sceneColour = texture(sceneTexture,textureCoords);
vec4 lightColour = texture(lightTexture,textureCoords);

out_Colour = sceneColour+lightColour*0.7;



}