#version 430

uniform sampler2D uInputTex;

in vec2 textureCoords;

out vec4 vResult;

void main() {
	vec4 bias = vec4(-0.9);
	vec4 scale = vec4(.7f);
	vResult = max(vec4(0.0), texture(uInputTex, textureCoords) + bias) * scale;
}