#version 430
in vec2 fragmentUV;
in vec4 vertexColor;
out vec4 color;
layout(binding=0) uniform sampler2D texTree;
uniform vec3 cameraPosition;
uniform int fog;
uniform int amount;
uniform vec4 skyColor;
uniform int black;
void main()
{
if(black==1){
 color =  texture(texTree, fragmentUV).rgba;
 color.r=0.0;
 color.g=0.0;
 color.b=0.0;
 if(color.a <0.6)discard;
}
else
{
    color =  texture(texTree, fragmentUV).rgba;
	if(color.a <0.6)discard;

	// optional color interpolation
	if(vertexColor.g < amount*0.6){color.r+=0.06f;}
	if(vertexColor.g > amount*0.2 && vertexColor.g < amount*0.8){color.b-=0.05f;}

	// fog interpolation if enabled
	if(fog==1){
	color = mix(color.rgba,skyColor.rgba,vertexColor.r);}
	}
}